Skip to main content
POST
/
v1
/
pay
/
gift
/
query
Query Gift Card
curl --request POST \
  --url http://sandbox.mintlify.com/v1/pay/gift/query \
  --header 'Content-Type: application/json' \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
  --data '
{
  "card_number": "5202710871862281",
  "key": ""
}
'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": {
    "card_num": "6712561472330044",
    "key": "r81T4rg3FKjt2+BYUgIn0CFqwtxp9CUSHGBFYDDJ608=",
    "title": "",
    "creator_name": "GateUser-8118f6f8",
    "amount": "0.99",
    "status": 2,
    "currency": "USDT",
    "create_time": 1737971259259,
    "exchange_uid": 0,
    "exchange_time": 1737971259259
  }
}

Headers

X-GatePay-Certificate-ClientId
string
required

Merchant client ID

Example:

"mZ96D37oKk-HrWJc"

X-GatePay-Signature
string
required

Signature

Example:

"b8c4705ff4c1357f2a27925dd180c1e1f4a244148f312a2dee5afbcc6f4b150e9ffceee455c5a298f895d43a64ee829eebdfd262539d45c41f7aee4336fd8c8c"

X-GatePay-Timestamp
string
required

Timestamp (milliseconds)

Example:

"1738934053475"

X-GatePay-Nonce
string
required

Nonce

Example:

"5417061546"

Body

application/json

Query gift card request parameters (card_number and key, one of two required)

card_number
string

Gift card number (one of two with key)

Example:

"5202710871862281"

key
string

Redemption code (one of two with card_number, key takes priority when both provided)

Example:

""

Response

200 - application/json

Query successful

status
string

Response status

Example:

"SUCCESS"

code
string

Response code

Example:

"000000"

errorMessage
string

Error message

Example:

""

data
object